﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="UartPduRCfgXml" nillable="true" type="UartPduRCfgXml" />
  <xs:complexType name="UartPduRCfgXml">
    <xs:sequence>
      <xs:element minOccurs="1" maxOccurs="1" name="xmlFileVersion" type="XmlFileVersion" />
      <xs:element minOccurs="1" maxOccurs="1" name="detModuleID" type="xs:unsignedShort" />
      <xs:element minOccurs="1" maxOccurs="1" name="detModuleUsage" type="SystemState" />
      <xs:element minOccurs="1" maxOccurs="1" name="useCrc32EthernetE2ECommunication" type="SystemState" />
      <xs:element minOccurs="1" maxOccurs="1" name="uartIfMaxFrameDataSize" type="xs:unsignedShort" />
      <xs:element minOccurs="0" maxOccurs="1" name="pathOfInputDataBases" type="ArrayOfString" />
      <xs:element minOccurs="0" maxOccurs="1" name="pathOfWorkingDataBase" type="xs:string" />
      <xs:element minOccurs="0" maxOccurs="1" name="uartFrameEndPatternElements" type="xs:hexBinary" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="XmlFileVersion">
    <xs:sequence>
      <xs:element minOccurs="1" maxOccurs="1" name="MajorVersion" type="xs:unsignedShort" />
      <xs:element minOccurs="1" maxOccurs="1" name="MinorVersion" type="xs:unsignedShort" />
      <xs:element minOccurs="1" maxOccurs="1" name="PatchVersion" type="xs:unsignedShort" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="SystemState">
    <xs:restriction base="xs:string">
      <xs:enumeration value="STD_ON" />
      <xs:enumeration value="STD_OFF" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="ArrayOfString">
    <xs:sequence>
      <xs:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="xs:string" />
    </xs:sequence>
  </xs:complexType>
</xs:schema>